SortedMapWritable (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class SortedMapWritable

    java.lang.Object
      org.apache.hadoop.io.AbstractMapWritable
          org.apache.hadoop.io.SortedMapWritable

All Implemented Interfaces:
  Map<WritableComparable,Writable>, SortedMap<WritableComparable,Writable>, Configurable, Writable

    public class SortedMapWritable

extends AbstractMapWritable
implements SortedMap<WritableComparable,Writable>

A Writable SortedMap.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`SortedMapWritable()` default constructor.
`SortedMapWritable(SortedMapWritable other)` Copy constructor.

Method Summary
`void` | `clear()`
`Comparator<? super WritableComparable>` | `comparator()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<WritableComparable,Writable>>` | `entrySet()`
`boolean` | `equals(Object obj)`
`WritableComparable` | `firstKey()`
`Writable` | `get(Object key)`
`int` | `hashCode()`
`SortedMap<WritableComparable,Writable>` | `headMap(WritableComparable toKey)`
`boolean` | `isEmpty()`
`Set<WritableComparable>` | `keySet()`
`WritableComparable` | `lastKey()`
`Writable` | `put(WritableComparable key, Writable value)`
`void` | `putAll(Map<? extends WritableComparable,? extends Writable> t)`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`Writable` | `remove(Object key)`
`int` | `size()`
`SortedMap<WritableComparable,Writable>` | `subMap(WritableComparable fromKey, WritableComparable toKey)`
`SortedMap<WritableComparable,Writable>` | `tailMap(WritableComparable fromKey)`
`Collection<Writable>` | `values()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class org.apache.hadoop.io.AbstractMapWritable
`addToMap, copy, getClass, getConf, getId, setConf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedMapWritable

    public SortedMapWritable()

  default constructor.

### SortedMapWritable

    public SortedMapWritable(SortedMapWritable other)

  Copy constructor.

  Parameters:
    `other` - the map to copy from

Method Detail

### comparator

    public Comparator<? super WritableComparable> comparator()

  Specified by:
    `comparator` in interface `SortedMap<WritableComparable,Writable>`

### firstKey

    public WritableComparable firstKey()

  Specified by:
    `firstKey` in interface `SortedMap<WritableComparable,Writable>`

### headMap

    public SortedMap<WritableComparable,Writable> headMap(WritableComparable toKey)

  Specified by:
    `headMap` in interface `SortedMap<WritableComparable,Writable>`

### lastKey

    public WritableComparable lastKey()

  Specified by:
    `lastKey` in interface `SortedMap<WritableComparable,Writable>`

### subMap

    public SortedMap<WritableComparable,Writable> subMap(WritableComparable fromKey,
                                                         WritableComparable toKey)

  Specified by:
    `subMap` in interface `SortedMap<WritableComparable,Writable>`

### tailMap

    public SortedMap<WritableComparable,Writable> tailMap(WritableComparable fromKey)

  Specified by:
    `tailMap` in interface `SortedMap<WritableComparable,Writable>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<WritableComparable,Writable>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<WritableComparable,Writable>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<WritableComparable,Writable>`

### entrySet

    public Set<Map.Entry<WritableComparable,Writable>> entrySet()

  Specified by:
    `entrySet` in interface `Map<WritableComparable,Writable>`
  Specified by:
    `entrySet` in interface `SortedMap<WritableComparable,Writable>`

### get

    public Writable get(Object key)

  Specified by:
    `get` in interface `Map<WritableComparable,Writable>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<WritableComparable,Writable>`

### keySet

    public Set<WritableComparable> keySet()

  Specified by:
    `keySet` in interface `Map<WritableComparable,Writable>`
  Specified by:
    `keySet` in interface `SortedMap<WritableComparable,Writable>`

### put

    public Writable put(WritableComparable key,
                        Writable value)

  Specified by:
    `put` in interface `Map<WritableComparable,Writable>`

### putAll

    public void putAll(Map<? extends WritableComparable,? extends Writable> t)

  Specified by:
    `putAll` in interface `Map<WritableComparable,Writable>`

### remove

    public Writable remove(Object key)

  Specified by:
    `remove` in interface `Map<WritableComparable,Writable>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<WritableComparable,Writable>`

### values

    public Collection<Writable> values()

  Specified by:
    `values` in interface `Map<WritableComparable,Writable>`
  Specified by:
    `values` in interface `SortedMap<WritableComparable,Writable>`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Overrides:
    `readFields` in class `AbstractMapWritable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Overrides:
    `write` in class `AbstractMapWritable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map<WritableComparable,Writable>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<WritableComparable,Writable>`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation